Skip to main content
GET
/
api
/
v1
/
account_vault_performance
Get account vault performance for all vaults where account has deposits
curl --request GET \
  --url https://api.mainnet.aptoslabs.com/decibel/api/v1/account_vault_performance \
  --header 'Authorization: Bearer <token>'
[
  {
    "account_address": "<string>",
    "vault": {
      "address": "<string>",
      "created_at": 123,
      "manager": "<string>",
      "name": "<string>",
      "status": "<string>",
      "all_time_pnl": 123,
      "all_time_return": 123,
      "apr": 123,
      "average_leverage": 123,
      "depositors": 123,
      "description": "<string>",
      "lockdown_period_s": 259200,
      "manager_cash_pct": 123,
      "max_drawdown": 123,
      "net_deposits": 30277044.96,
      "past_month_return": 123,
      "perp_equity": 123,
      "pnl_90d": 123,
      "profit_share": 123,
      "sharpe_ratio": 123,
      "social_links": [
        "<string>"
      ],
      "tvl": 123,
      "vault_type": "<string>",
      "volume": 123,
      "volume_30d": 123,
      "weekly_win_rate_12w": 123
    },
    "all_time_earned": 123,
    "all_time_return": 123,
    "current_num_shares": 1,
    "current_value_of_shares": 123,
    "deposits": [
      {
        "amount_usdc": 123,
        "shares_received": 1,
        "timestamp_ms": 123,
        "unlock_timestamp_ms": 123
      }
    ],
    "locked_amount": 123,
    "share_price": 123,
    "total_deposited": 123,
    "total_withdrawn": 123,
    "unrealized_pnl": 123,
    "volume": 123,
    "weekly_win_rate_12w": 123,
    "withdrawals": [
      {
        "shares_redeemed": 1,
        "status": "<string>",
        "timestamp_ms": 123,
        "amount_usdc": 123
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer token from Geomi. See Authentication for setup instructions.

Query Parameters

account
string
required

Account address

offset
integer<int64>
default:0

Number of results to skip (for pagination)

Required range: 0 <= x <= 10000
limit
integer<int64>
default:20

Maximum number of results to return

Required range: 0 <= x <= 1000

Response

Account vault performance retrieved successfully

account_address
string
required
vault
object
required

Vault object with metadata + metrics

all_time_earned
number<double> | null

All-time profit/loss in USDC (includes both realized and unrealized)

all_time_return
number<double> | null

All-time return percentage (includes both realized and unrealized)

current_num_shares
integer<int64> | null

Number of shares owned (in base units with 6 decimals)

Required range: x >= 0
current_value_of_shares
number<double> | null

Current value of user's shares in USDC

deposits
object[] | null
locked_amount
number<double> | null

Amount currently locked (cannot withdraw). Frontend: withdrawable = current_value_of_shares - locked_amount

share_price
number<double> | null

Current share price (NAV per share)

total_deposited
number<double> | null

Total amount deposited in USDC (sum of all contributions)

total_withdrawn
number<double> | null

Total amount withdrawn in USDC (sum of all settled redemptions)

unrealized_pnl
number<double> | null

Unrealized profit/loss in USDC (only on current holdings)

volume
number<double> | null

Trading volume in USDC

weekly_win_rate_12w
number<double> | null
withdrawals
object[] | null